Create Custom Field
curl --request POST \
--url https://integration.getmateo.com/api/v1/custom_field \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"entity": "contact"
}
'import requests
url = "https://integration.getmateo.com/api/v1/custom_field"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"entity": "contact"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
key: '<string>',
entity: 'contact'
})
};
fetch('https://integration.getmateo.com/api/v1/custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"entity": "contact"
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"entity": "contact"
}This response has no body data.Custom Field
Create Custom Field
Create a new custom field
Create Custom Field
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
custom_field
Custom field ID
Custom field creation date
Latest update
Organisation ID
Name of custom field
Custom field description
Typ of custom field
Available options:
string, datetime, boolean, number, date, string_list Custom field key
Available options:
contact, deal, appointment Response
The updated Custom Field object
Custom field ID
Custom field creation date
Latest update
Organisation ID
Name of custom field
Custom field description
Typ of custom field
Available options:
string, datetime, boolean, number, date, string_list Custom field key
Available options:
contact, deal, appointment ⌘I